<?php

namespace EdSDK\FileUploaderServer\lib\action\req;

/**
 * Request class.
 */
class Req {

  public $action;

  public $testClearAllFiles;

  public $testServerConfig;

  public $fileName;

  public $fileSize;

  public $file;

}
/**
 * Error request.
 */
class ReqError {

  public $message;

  /**
   * Creates a request.
   */
  public static function createReqError($msg) {
    $req = new ReqError();
    $req->message = $msg;
    return $req;
  }

}
/**
 * Upload request with ID - base upload request class.
 */
class ReqUploadId extends Req {

  public $uploadId;

}
/**
 * Add file to upload list request.
 */
class ReqUploadAddFile extends ReqUploadId {

  public $url;

}
/**
 * Remove file from upload list request.
 */
class ReqUploadRemoveFile extends ReqUploadId {

  public $name;

}
/**
 * Commit uploaded files request.
 */
class ReqUploadCommit extends ReqUploadId {

  public $sizes;

  public $doCommit;

  public $autoRename;

  public $dir;

  public $files;

}
