<?php

namespace Drupal\n1ed\Plugin\CKEditorPlugin;

use Drupal\n1ed\Plugin\N1EDEcosystemCKEditorPlugin;

/**
 * Defines plugin.
 *
 * @CKEditorPlugin(
 *   id = "N1EDEco",
 *   label = @Translation("N1ED"),
 *   module = "n1ed"
 * )
 */
class N1ED extends N1EDEcosystemCKEditorPlugin {

  /**
   * {@inheritdoc}
   */
  public function getPluginName() {
    return "N1EDEco";
  }

  /**
   * {@inheritdoc}
   */
  public function getModuleName() {
    return "n1ed";
  }

  /**
   * {@inheritdoc}
   */
  public function getButtonsDef() {
    return [
      'HTML' => [
        'label' => 'HTML source for N1ED',
        'image' => 'https://n1ed.com/cdn/buttons/HTMLSource.png',
      ],
      'Info' => [
        'label' => 'Info',
        'image' => 'https://n1ed.com/cdn/buttons/Info.png',
      ],

      'AddImage' => [
        'label' => 'Add image (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/Image.png',
      ],
      'AddImagePreview' => [
        'label' => 'Add image preview (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/ImagePreview.png',
      ],
      'AddImageGallery' => [
        'label' => 'Add image gallery (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/ImageGallery.png',
      ],
      'AddFontAwesome' => [
        'label' => 'Add Font Awesome icon (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/FontAwesome.png',
      ],
      'AddYouTube' => [
        'label' => 'Add YouTube video (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/YouTube.png',
      ],
      'AddTable' => [
        'label' => 'Add table (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/Table.png',
      ],
      'AddLink' => [
        'label' => 'Add link (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/Link.png',
      ],
      'AddAnchor' => [
        'label' => 'Add anchor (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/Anchor.png',
      ],
      'AddHeader' => [
        'label' => 'Add header (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/Header.png',
      ],
      'AddIFrame' => [
        'label' => 'Add embedded page (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/IFrame.png',
      ],
      'AddHTML' => [
        'label' => 'Add HTML snippet (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/HTML.png',
      ],
      'EditWidget' => [
        'label' => 'Edit selected widget (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/HTML.png',
      ],
      'DeleteWidget' => [
        'label' => 'Delete selecte widget (dialog UI mode only, use sidebar in other modes)',
        'image' => 'https://n1ed.com/cdn/buttons/DeleteWidget.png',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function addControlsToForm(&$form, $editor, $config) {
    $this->addBooleanToForm($form, $config, "enableN1EDEcoSystem", TRUE);
  }

}
